"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidApiInputError = void 0;
class InvalidApiInputError extends Error {
    constructor(invalidProperty, reason) {
        super(`Error in "${invalidProperty}" input property. ${reason} See \`MigrationApiInput\` type for complete input format.`);
        this.name = 'InvalidApiInputError';
    }
}
exports.InvalidApiInputError = InvalidApiInputError;
