"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LibraryValidationError = void 0;
class LibraryValidationError extends Error {
    constructor(message, nameTree) {
        super(message.concat(nameTree ? `\n\tParse tree: ${nameTree.join(' > ')}` : ''));
        this.name = 'LibraryValidationError';
    }
}
exports.LibraryValidationError = LibraryValidationError;
