"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getObjectTypedKeys = exports.getEnumTypedValues = exports.getEnumTypedKeys = void 0;
function getEnumTypedKeys(input) {
    // keys are always strings
    return getObjectTypedKeys(input).filter((key) => isNaN(Number(key)));
}
exports.getEnumTypedKeys = getEnumTypedKeys;
function getEnumTypedValues(input) {
    const keys = getEnumTypedKeys(input);
    return keys.map((key) => input[key]);
}
exports.getEnumTypedValues = getEnumTypedValues;
function getObjectTypedKeys(input) {
    return Object.keys(input);
}
exports.getObjectTypedKeys = getObjectTypedKeys;
