import { MigrationOutput } from '../api/api-types';
import { ParsedLibrary } from './reading/parsed-types';
export declare function outputLibrary({ libraryFilePath, newLibrary, outputType, loggingEnabled, }: {
    libraryFilePath: string;
    newLibrary: ParsedLibrary;
    outputType: MigrationOutput.JsonObject;
    loggingEnabled?: boolean;
}): ParsedLibrary;
export declare function outputLibrary({ libraryFilePath, newLibrary, outputType, loggingEnabled, }: {
    libraryFilePath: string;
    newLibrary: ParsedLibrary;
    outputType: MigrationOutput.WriteToFile;
    loggingEnabled?: boolean;
}): {
    filePath: string;
};
export declare function outputLibrary({ libraryFilePath, newLibrary, outputType, loggingEnabled, }: {
    libraryFilePath: string;
    newLibrary: ParsedLibrary;
    outputType: MigrationOutput.PlistString;
    loggingEnabled?: boolean;
}): {
    plist: string;
};
export declare function outputLibrary({ libraryFilePath, newLibrary, outputType, loggingEnabled, }: {
    libraryFilePath: string;
    newLibrary: ParsedLibrary;
    outputType: MigrationOutput;
    loggingEnabled?: boolean;
}): {
    filePath: string;
} | {
    plist: string;
} | ParsedLibrary;
